#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
#include <WSCvlabel.h>

//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------

//表示ラベルの外部アクセス宣言
extern WSCvlabel* newvlab_001;

void pmbtnep(WSCbase* object){
  //do something...
  double val = newvlab_001->getProperty(WSNlabelString);
  val *= -1;
  char buffer[128];
  sprintf(buffer,"%g",val);
  if (strlen(buffer)>12){
    buffer[13] = 0;
  }

  newvlab_001->setProperty(WSNlabelString,buffer);
  
}
static WSCfunctionRegister  op("pmbtnep",(void*)pmbtnep);
